# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1420  -> 1.1421 
#	arch/i386/kernel/mpparse.c	1.56    -> 1.57   
#	arch/i386/kernel/io_apic.c	1.82    -> 1.83   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/11/07	len.brown@intel.com	1.1421
# [ACPI] In ACPI mode, delay print_IO_APIC() to make its output valid.
# http://bugzilla.kernel.org/show_bug.cgi?id=1177
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/io_apic.c b/arch/i386/kernel/io_apic.c
--- a/arch/i386/kernel/io_apic.c	Fri Nov  7 18:21:52 2003
+++ b/arch/i386/kernel/io_apic.c	Fri Nov  7 18:21:52 2003
@@ -1624,10 +1624,6 @@
 	unsigned char old_id;
 	unsigned long flags;
 
-	if (acpi_ioapic)
-		/* This gets done during IOAPIC enumeration for ACPI. */
-		return;
-
 	/*
 	 * This is broken; anything with a real cpu count has to
 	 * circumvent this idiocy regardless.
@@ -2217,12 +2213,14 @@
 	/*
 	 * Set up IO-APIC IRQ routing.
 	 */
-	setup_ioapic_ids_from_mpc();
+	if (!acpi_ioapic)
+		setup_ioapic_ids_from_mpc();
 	sync_Arb_IDs();
 	setup_IO_APIC_irqs();
 	init_IO_APIC_traps();
 	check_timer();
-	print_IO_APIC();
+	if (!acpi_ioapic)
+		print_IO_APIC();
 }
 
 /*
diff -Nru a/arch/i386/kernel/mpparse.c b/arch/i386/kernel/mpparse.c
--- a/arch/i386/kernel/mpparse.c	Fri Nov  7 18:21:52 2003
+++ b/arch/i386/kernel/mpparse.c	Fri Nov  7 18:21:52 2003
@@ -1165,6 +1165,10 @@
 			mp_ioapic_routing[ioapic].apic_id, ioapic_pin, 
 			entry->irq);
 	}
+
+	print_IO_APIC();
+
+	return;
 }
 
 #endif /*CONFIG_ACPI_PCI*/
